sass-yaml
=========

A gem that make easy access to Yaml from Sass

## Purpose of this gem

Creating a **styleguide** requires a great approach to design thinking and a rich frontend toolbox too.
My experience brought me the need of having a framework that help me keep **consistent** the content and the css generated.

I started using Yaml files to store static content for a static styleguide (a list of news, the range of typography weights, the range of colors ...).
Following some principles of OOCSS I started created blocks of css strictly related to the content, or better, the meaning of that content.

Keep alingned the CSS and the content became a great challenge to me.
This is why I needed to create this gem and why I'm looking for help.

### Installation

    $ gem install sass-yaml

### Use with the Sass command line

    $ sass -r sass-yaml your_file.scss

### Use with compass

Add the following to your compass configuration:

    require 'sass-yaml'

## Example of Usage

Imagine you want to create a Scale of Typography like this:
http://erskinedesign.com/blog/setting-typographic-scale-with-sass-maps/

After you have created your Sass you'll need an HTML to test this, right?
Something like this:
	
	<div class="typo x-small">Typo X-SMALL</div>
	<div class="typo small">Typo SMALL</div>
	<div class="typo base">Typo BASE</div>
	<div class="typo large">Typo LARGE</div>

